View Issue Details

IDProjectCategoryView StatusLast Update
0036323FPCCompilerpublic2019-11-23 17:14
ReporterKarl-Michael SchindlerAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS XOS Version10.5, 10.6
Product Version3.3.1Product Build43501 
Target VersionFixed in Version3.3.1 
Summary0036323: svn revision 43501 breaks cross-building aarch64-linux on macOS.
Descriptionsvn revision 43501 breaks cross-building aarch64-linux on macOS. All other >20 cross targets, I tested, are fine. Log:
...
/BlaBla/FreePascal/compiler/ppcrossa64 -Tlinux -Paarch64 -XPaarch64-linux- -Xr -Ur -Xs -O2 -n -Fuaarch64 -Fusystems -Fu/BlaBla/FreePascal/rtl/units/aarch64-linux -Fiaarch64 -FEaarch64/bin/aarch64-linux -FUaarch64/units/aarch64-linux -dRELEASE -ap -v0 -Fl/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib -daarch64 -dGDB -dBROWSERLOG -Fuarmgen -Sew -daarch64 -dGDB -dBROWSERLOG -Fuarmgen -Sew pp.pas
ncgrtti.pas(2235,72) Fatal: Internal error 200108231
Fatal: Compilation aborted
make[3]: *** [Makefile:4484: ppca64] Fehler 1
make[3]: Verzeichnis „/BlaBla/FreePascal/compiler“ wird verlassen
make[2]: *** [Makefile:4600: cycle] Fehler 2
make[2]: Verzeichnis „/BlaBla/FreePascal/compiler“ wird verlassen
make[1]: *** [Makefile:2857: compiler_cycle] Fehler 2
make[1]: Verzeichnis „/BlaBla/FreePascal“ wird verlassen
make: *** [Makefile:2889: build-stamp.aarch64-linux] Fehler 2
Steps To Reproducemake all OPT="-ap -Fl/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib" OS_TARGET=linux CPU_TARGET=aarch64
TagsNo tags attached.
Fixed in Revision43553
FPCOldBugId
FPCTarget-
Attached Files

Relationships

related to 0035980 resolvedFlorian Internal Error 200108231 : Cross Compile From Windows to aarch64-Linux failed 

Activities

Karl-Michael Schindler

2019-11-21 23:44

reporter   ~0119422

Fix confirmed. Thank you.

Issue History

Date Modified Username Field Change
2019-11-17 16:30 Karl-Michael Schindler New Issue
2019-11-21 23:15 Florian Assigned To => Florian
2019-11-21 23:15 Florian Status new => resolved
2019-11-21 23:15 Florian Resolution open => fixed
2019-11-21 23:15 Florian Fixed in Version => 3.3.1
2019-11-21 23:15 Florian Fixed in Revision => 43553
2019-11-21 23:15 Florian FPCTarget => -
2019-11-21 23:44 Karl-Michael Schindler Status resolved => closed
2019-11-21 23:44 Karl-Michael Schindler Note Added: 0119422
2019-11-23 17:14 Florian Relationship added related to 0035980